Bug 607810 (CVE-2010-2237) - CVE-2010-2237 libvirt: ignoring defined main disk format when looking up disk backing stores
Summary: CVE-2010-2237 libvirt: ignoring defined main disk format when looking up disk...
Status: CLOSED ERRATA
Alias: CVE-2010-2237
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100712,reported=20100615,sou...
Keywords: Security
Depends On: 607817 613625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 21:58 UTC by Petr Matousek
Modified: 2015-10-15 21:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 05:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Matousek 2010-06-24 21:58:22 UTC
It was found that libvirt did not honour the user defined main disk format
in guest XML when looking up disk backing stores in the security drivers.
This could be possibly exploited by priviledged guest user to access
arbitrary files on the host.

Comment 2 Petr Matousek 2010-07-12 11:30:01 UTC
This issue affects libvirt >= 0.6.1.

Comment 3 Petr Matousek 2010-07-12 12:13:05 UTC
Statement:

Not vulnerable. This issue did not affect the version of libvirt as shipped with Red Hat Enterprise Linux 5.

Comment 4 Petr Matousek 2010-07-12 13:02:40 UTC
Created libvirt tracking bugs for this issue

Affects: fedora-all [bug 613625]

Comment 5 Fedora Update System 2010-07-27 02:36:34 UTC
libvirt-0.8.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-27 02:48:27 UTC
libvirt-0.8.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.